Sil Cinnamon foar Debian gjin stipe garandearje?

De fraach dy't dit berjocht begjint komt nei gedachten Clem lefebvre Ik soe antwurdzje op in opmerking dy't ik yn 'e Cinnamon Blog.

It probleem is sa: Juster haw ik besocht te ynstallearjen Kaniel op myn wurk-pc, wêr't ik haw Debian Testing + Xfce, Mei help fan de repository LMDE Ik wie op it punt dit te ynstallearjen shell, lykas it by oare gelegenheden hie dien, lykwols mislearre de poging fanwegen in ôfhinklikheid. Blykt dat Kaniel nedich it pakket libcogl5 (> = 1.7.4), mar sei pakket is net yn 'e repositories fan Debian.

Ik besocht de ferzje te ynstallearjen dy't yn 'e repositories fan is Ubuntu Oneiric, mar it joech my ek in flater doe't ik in bestân op myn systeem net oerskriuwe koe. Om alles te berikken is it pakket dat te krijen is yn Debian, is yn 'e repositories fan Sid allinnich foar arsjitektuer armhf.

No, ik gean en besprek de situaasje mei Clem en dit wie syn antwurd:

No dat is in Debian-probleem tink ik. As se allinich de lêste libcogl leverje en har namme feroarje, moatte jo ferwachtsje dat Cinnamon en Shell kontinu sille brekke. Uteinlik sille wy nei dizze ferzje bewege, mar op termyn sil Debian dat probleem oanpakke moatte.

Wat hat sokssawat west:

No dat is in Debian-probleem tink ik. As se gewoan de lêste libcogl oanbiede en har namme feroarje, moatte jo ferwachtsje dat Cinnamon en Shell hieltyd brekke. Yn 'e rin fan' e tiid sille wy nei dizze ferzje bewege, mar op termyn sil Debian dat probleem oanpakke.

Do wist Hy hat eins foar in part gelyk, mar ik bin al in bytsje siik fan itselde ding dat altyd bart: Ienheid, Elementary OS, Kaniel, allegear rjochte op ubuntu en de oaren dy't har in sek jouwe. Mar d'r is noch wat ik net begryp Hoe wurket it Kaniel en Linux Mint 13, as it pakket libcogl5 it wurdt ek net fûn yn de repositories fan Precise? Ik sil it nochris moatte freegje Clem.

Wat my dúdlik is, is dat LMDE, in ferdieling dy't my (al in protte) Ik wie optein, om't it gewoan in idee wie, ik soe stjerre moatte as se it net sille wije oan 'e ferzje fan Linux Mint mei Debian, de tiid dy't it nimt. Ik hoopje en SolusOS folje it gat dat ik wis bin sil ferlitte LMDE op jo brûkers.

It is echt spitich, want útsein Xfce, Kaniel it is de iennichste shell de Buroblêdomjouwing dat hellet my echt oandacht.

 


De ynhâld fan it artikel hâldt him oan ús prinsipes fan redaksje etyk, Om in flater te melden klikje hjir.

25 opmerkingen, lit jo

Lit jo reaksje efter

Jo e-mailadres wurdt net publisearre. Ferplichte fjilden binne markearre mei *

*

*

  1. Ferantwurdlik foar de gegevens: Miguel Ángel Gatón
  2. Doel fan 'e gegevens: Control SPAM, kommentaarbehear.
  3. Legitimaasje: jo tastimming
  4. Kommunikaasje fan 'e gegevens: De gegevens wurde net oan tredden kommunisearre, útsein troch wetlike ferplichting.
  5. Gegevensopslach: Databank hoste troch Occentus Networks (EU)
  6. Rjochten: Op elk momint kinne jo jo ynformaasje beheine, herstelle en wiskje.

  1.   Angelo Gabriel Marquez Maldonado sei

    Dat doe't ik tsjin in freon sei: "Uteinlik seach ik it ljocht, en ik kaam KDE yn." It liket derop dat yn Gnome alles in probleem is, en net allinich yn Ubuntu, soms binne Debian in protte flaters mei my bard. Hoe dan ek, ik hoopje dat de minsken by Mint trochwurkje oan Kaniel.

    1.    KZKG ^ Gaara sei

      Dat is wêrom't ik tsjin in freon sei: “As lêste seach ik it ljocht, en ik kaam KDE yn”. It liket dat yn Kabouter is alles in probleem, en net allinich yn Ubuntu, soms binne yn Debian my in protte flaters bard

      AMEN !!!!

      1.    Marco sei

        +1000 !!!!

      2.    proper sei

        Ja, KDE is in echt goede omjouwing (:

  2.   xykyz sei

    Ik begryp net hoe't it debian's probleem kin wêze as de software (kaniel) fan jo is. As jo ​​beslute om wat te dragen, moatte jo de ûntwikkeling derfan folgje en oanpasse oan 'e ferdieling, oars wat is it punt? Ik hâld fan kaniel dochs net ...

    1.    elav <° Linux sei

      Wat ik begrepen is, is dat it probleem fan Debian is om it pakket te neamen of de lêste ferzje fan it pakket te brûken, en dat is net har probleem (Linux Mint). Mar ik herhelje, as dit pakket net yn 'e Precise repositories is, wat de basis is fan Linux Mint 13, hoe wurket it dan? 😕

      1.    xykyz sei

        Mar ik begryp dat as Debian de namme en de ferzje feroaret en jo software foar Debian ûntwerpe, har ding is dat jo de software oanpasse oan dy omstannichheid, net dat jo sizze dat it Debian's skuld is en sa kalm bliuwe. Kom, it is myn miening.

        1.    elav <° Linux sei

          Eins skreau ik wer oan Clem en yndied realisearre hy dat it pakket dat Cinnamon nedich is ek net mear yn Ubuntu is. Litte wy sjen wat der mei dit alles bart.

  3.   rogertux sei

    Ik wit net waans skuld it is. Mar wat ik wit is dat dit my heulendal herinnert oan in beskate Unity, dy't net mei sukses nei in oare distribúsje is porteare.

    Dat sei, it liket derop dat de Debian-basearre ferzje fan Linux Mint hieltyd faker wurdt skood. En neffens my tink ik dat it mintsteam fan Linux moat beslute tusken ferbetterjen fan de LMDE-stipe of gewoan deadzje, om't dizze projekten net healwei kinne wurde litten. (Nim it of lit it)

    1.    KZKG ^ Gaara sei

      Oer in pear jier sil ik opskeppe dat ik altyd gelyk haw, en dat LinuxMint noch better noch minder is as Canonical, mar krekt as bastards ¬_¬

      1.    TDE sei

        Foar my is Linux Mint lykas Guardiola, en Ubuntu lykas Mourinho. Ik leaver Mourinho.

      2.    Jose Miguel sei

        Dit is hoe't se prate, d'r binne al twa fan ús.

        Groetenis.

      3.    Burjans L Garcia D sei

        It probleem is wa't se hat idealisearre, ik ha se al lang op har side .. dit moat @elav net fernuverje, om't ik in lange tiid oer it probleem mei LMDE praat ... Ik fiel my bliid mei Debian

        1.    elav <° Linux sei

          Fansels bin ik net ferrast. Ik stoppe LMDE al lang mei "pure" Debian te brûken, om't ik besefte dat LMDE net de oandacht krije soe dy't it draacht.

  4.   luis sei

    Elav, bin it folslein iens mei jo reaksje op LMDE, dat liket op in ferlitten projekt. Ik brûkte it eartiids, mar no bin ik by SolusOs. Clem liket beset mei trochgean mei "ferbetterjen fan Ubuntu mei munt", lokkich bliuwt Ikey Doherty it SolusOS-projekt troch, dat jo in "klassike" Linux-ûnderfining jout, mei goede estetyk en aktualisearre applikaasjes.

  5.   jamin samuel sei

    Hiel nijsgjirrich it ûnderwerp ...

    Kaniel rint ek super goed yn Fedora.

    Wat ik tink is dat se Debian net wolle stypje, om't it net echt sin hat dat it net op Debian wurket, mar op UBuntu wol (¬_¬) Of is Ubuntu oars as Debian?

    Foar my is it dat de hear Clem neat oer Debian wol wite wol, mar Ubuntu mear te meitsjen.

  6.   shiba87 sei

    Fan wat ik sjoch, sawol yn Debian as Ubuntu is de oanwêzige libcogl9, wat oerienkomt mei ferzje 1.10 fan libcogl, dat is, it foldocht oan wat wurdt frege yn 'e libcoglX-ôfhinklikens (> = 1.7.4).

    Miskien is it my dat ik it heul maklik sjoch, mar it soe in kwestje wêze om as ôfhinklikens te setten:
    libcogl5 (> = 1.7.4)

    Plak:
    libcogl5 (> = 1.7.4) | libcogl9 (> = 1.7.4)

    En wat oars, it is net dat it pakket net is, mar dat de namme net oerienkomt mei dejinge dy't op it stuit wurdt brûkt.

    1.    shiba87 sei

      Hy bedoelde "yn plak fan setten" en net "fraach fan setten"

    2.    elav <° Linux sei

      Eksakt. Hoe dan ek, om't Clem dat probleem opmurken, tink ik dat se de flater ynkoarten sille ferbetterje.

  7.   Giskard sei

    Litte wy sjen wat de LinuxMint-pagina seit:

    http://www.linuxmint.com/download_lmde.php

    FAQ oer LMDE
    1. Is LMDE kompatibel mei Ubuntu-basearre Linux Mint-edysjes?
    Nee, it is net. LMDE is kompatibel mei Debian, wat net kompatibel is mei Ubuntu.

    Sa't jo sjen kinne, is de kompatibiliteit nei ûnderen. As se it fan it begjin ôf fernimme. Se ûntwerpe foar Ubuntu en meitsje it sa kompatibel mei Munt en dingen dy't fan Ubuntu ôfstamme, mar net nei boppen.

    It liket my ta dat it heul dúdlik is.

    1.    elav <° Linux sei

      Tink derom dat Ubuntu syn pakketten fan Debian nimt, dêrom is wat is opnommen of útsletten fan Debian har ynfloed, útsein as it har eigen pakket is of as se beslute it te hâlden.

  8.   christopher sei

    As jo ​​Cinnamon ynstalleare wolle op debian-testen is it ynstallearjen fan in âlde testôfbylding fan 6 moanne lyn wêr't it hast itselde wie as de LMDE-pakketten, foegje de LMDE-repositories ta en ynstalleare Cinnamon. Doch dan safolle mooglik feilige upgrade, sadat it net ferwidere wurdt allinich fanwegen "Ofhinklikensfouten"

  9.   auroszx sei

    Wat in tekoart oan stipe fan Linux Mint ¬¬

  10.   vicky sei

    Elkenien docht wat se kinne, ik tink net dat it Linux mint- of elementaryOS-team safolle boarnen hat, net alle projekten binne kde. Ik hâld fan har as projekten, en it soe moai wêze om pantheonshell of sineam yn elke distro te ynstallearjen, mar op it stuit is it net mooglik en as de ûntwikkelders har leaver rjochtsje op oare dingen ynstee fan portabiliteit, gean ik nei bekritisearje it om't om te sizzen dat ik noait echt wat foar har haw dien, of skonken of sokssawat, sadat se my wat skuldich wiene.

  11.   kommentator sei

    Ik wit it net, ik tink dat d'r in soad projekten binne dy't berne binne en koarte tiid in sensaasje wurde, mar dan falle se yn ferjitnis (blom fan in pear dagen). Dêrom foarkom ik projekten mei mear tiid en dat hingje net ôf fan 'e nijichheid.